{% extends "ajax/game/town/town.html.twig" %}
{% block title %}{{'Gesamtansicht der Stadt'|trans({}, 'game')|raw}}{% endblock %}
{% block content %}
    {% set wtt = conf.get(constant('App\\Structures\\TownConf::CONF_MODIFIER_WT_THRESHOLD'),33) %}

    <div class="town-header{% if town.type.name == 'panda' %} hardcore{% endif %}">
        <b>{{ town.name }}</b><br />
        <span>{{ 'Tag {day}'|trans({'{day}':town.day},'game') }}</span>
    </div>

    <div class="dashboard">
        <div class="row">
            <div class="padded cell rw-3 rw-md-6 center">
                <em>{{ 'Unsere Verteidigung :'|trans({}, 'game') }}</em><br />
                <span class="counter">{{ def }} <img src="{{ asset('build/images/icons/small_def.gif') }}" alt="" /></span>
            </div>
            <div class="padded cell rw-4 rw-md-6 center attack-estimation">
                <em>{{ 'Geschätzter Angriff :'|trans({}, 'game') }}</em><br />
                <span class="counter">
                {% if (zeds_today[3] >= wtt) and zeds_today[0] %}
                    {{ zeds_today[1] }} - {{ zeds_today[2] }} <img alt="" src="{{ asset('build/images/icons/small_zombie.gif') }}" />
                {% else %}
                    {{ 'Unbekannt'|trans({}, 'game')}} {{ help_btn(('Wir müssen den Wachturm benutzen, um eine Schätzung des Angriffs zu erhalten.'|trans({},'global'))) }}
                {% endif %}
                </span>
                {% if zeds_tomorrow[0] and app.user.expert %}
                    <br /><em>{{ 'Morgiger Angriff :'|trans({},'game') }}</em><br />
                    <span class="counter">
                    {% if (zeds_today[3] >= 100) %}
                        {{ zeds_tomorrow[1] }} - {{ zeds_tomorrow[2] }} <img alt="" src="{{ asset('build/images/icons/small_zombie.gif') }}" />
                    {% else %}
                        {{ 'Unbekannt'|trans({}, 'game')}} {{ help_btn(('Wir müssen den Wachturm benutzen, um eine Schätzung des Angriffs zu erhalten.'|trans({},'global'))) }}
                    {% endif %}
                    </span>
                {% endif %}
                {% if has_watchtower and not has_estimated %}<br /><span class="help">[ <span class="link" x-ajax-href="{{ path('town_watchtower') }}">{{ 'Teilnehmen'|trans({}, 'game') }}</span> ] </span>{% endif %}
            </div>
            <div class="padded cell rw-5 rw-md-12 center">
                {% if (zeds_today[3] >= wtt) and zeds_today[0] %}
                    {% if def < zeds_today[1] %}
                         <span class="warning">
                            {{'Unsere Verteidigung ist nicht stark genug, um dem Angriff heute Nacht standzuhalten.'|trans({}, 'game')}} <a class="help-button"><div class="tooltip help">{{ 'Wir MÜSSEN Verteidigungsanlagen bauen. Falls Ressourcen dafür fehlen, geh in die Außenwelt (die Wüste außerhalb der Stadt) und suche danach.'|trans({},'global') }}</div>{{ 'Hilfe'|trans({},'global') }}</a>
                            {% if has_battlement %}
                                <div x-ajax-href="{{ path('town_nightwatch') }}" class="link">{{ 'Du kannst helfen und dich der heutigen Nachtwache anschließen!'|trans({}, 'game') }}</div>
                            {% endif %}
                        </span>
                    {% elseif def >= zeds_today[1] and def < zeds_today[2] %}
                        <span class="warning">
                            {{'Unsere Verteidigung dürfte ausreichen, zumindest einen Teil des Angriffs heute Nacht abzuwehren.'|trans({}, 'game')}} <a class="help-button"><div class="tooltip help">{{ 'Wir sollten mehr Verteidigungsanlagen bauen. Falls Ressourcen dafür fehlen, geh in die Außenwelt (die Wüste außerhalb der Stadt) und suche danach.'|trans({},'global') }}</div>{{ 'Hilfe'|trans({},'global') }}</a>
                            {% if has_battlement %}
                                <div x-ajax-href="{{ path('town_nightwatch') }}" class="link">{{ 'Du kannst helfen und dich der heutigen Nachtwache anschließen!'|trans({}, 'game') }}</div>
                            {% endif %}
                        </span>
                    {% else %}
                        {{ 'Unsere Verteidigung ist stark genug, um dem Angriff heute Nacht standzuhalten.'|trans({}, 'game')}}
                    {% endif %}
                {% else %}
                    {{ 'Es ist nicht möglich, unsere Situation angesichts des Angriffs von heute Abend genau einzuschätzen.'|trans({}, 'game')|raw }}
                {% endif %}
            </div>
        </div>
    </div>

    {% if not app.user.expert %}
        <div class="help">
            {% trans from 'game' %}
                Wenn du "MyHordes" zum ersten Mal spielst, empfehlen wir dir den Links <strong>Wie soll ich spielen?</strong> zu folgen,
                die sich auf der Webseite links befindet. Interaktive Schritt-für-Schritt-Anleitungen erklären dir in 5 Minuten die Grundlagen des Spiels.
            {% endtrans %}
            <p>
                {% trans with { '{helplink}': '<a href="' ~ url('help') ~ '">' ~ ('komplette Spielhilfe'|trans({},'game')) ~ '</a>' } from 'game' %}
                    Du kannst jederzeit die {helplink} im oberen Abschnitt der Seite aufsuchen.
                {% endtrans %}
            </p>
        </div>
    {% endif %}

    {% if town.type.name == 'custom' %}
    <div class="help">
    	{% trans from 'game' %}
    		Du bist in einer Privatstadt. Für diese Art von Stadt gelten einige Sonderregeln.
    	{% endtrans %}
    </div>
	{% endif %}

    <div class="row">
        <div class="padded cell {% if conf.get(constant('App\\Structures\\TownConf::CONF_FEATURE_WORDS_OF_HEROS'),false) %}rw-6{% else %}rw-12{% endif%} rw-lg-12">
            <h5>{{ 'Meine täglichen Aufgaben'|trans({}, 'game')}} {{ help_btn(('Du weißt nicht, was du tun sollst? Folge den Empfehlungen hier unten :)'|trans({},'global'))) }}</h5>
            <ul class="overview-checklist">
                {% if is_dehydrated %}
                    <li>{{ 'Trinken (Oder du stirbst heute Nacht)'|trans({}, 'game') }},</li>
                {% endif %}
                <li x-ajax-href="{{ url('forum_town_redirect') }}" {% if has_visited_forum %} class="checked"{% endif %}>{{ 'Einen Blick ins Forum werfen.'|trans({}, 'game') }},</li>
                {% if town.well > 0 %}
                <li x-ajax-href="{{ path('town_well') }}" {% if active_citizen.specificActionCounterValue(constant('App\\Entity\\ActionCounter::ActionTypeWell')) > 0 %} class="checked"{% endif %}>{{ 'Meine Ration Wasser im Brunnen entnehmen (optional).'|trans({}, 'game') }},</li>
                {% endif %}
                {% if new_message %}
                    <li x-ajax-href="{{ path('town_house', {tab: 'messages', subtab: 'received'}) }}">{{ 'Meine Nachrichten lesen.'|trans({}, 'game') }} <img src="{{ asset("build/images/icons/anim_icon_mail.gif") }}" alt="" />,</li>
                {% endif %}
                {% if has_pending_coa_invite %}<li>{{ 'auf {coa_invite} antworten'|trans({'coa_invite': '<a x-ajax-href="' ~ path('soul_coalitions') ~ '">' ~ 'Koalitionseinladungen'|trans({},'soul') ~ '</a>'}, 'game')|raw }},</li>{% endif %}
                {% if new_coa_message %}
                    <li x-ajax-href="{{ path('soul_coalitions') }}">{{ 'Die letzten Nachrichten meiner Koalition lesen.'|trans({}, 'game') }} <img src="{{ asset("build/images/icons/anim_icon_mail.gif") }}" alt="" />,</li>
                {% endif %}
                {% for name,role in votes_needed %}
                    {% if role %}
                    <li x-ajax-href="{{ path('town_citizen_vote', {roleId: role.id}) }}" {% if has_voted[role.name] %}class="checked"{% endif %}>
                        {{ 'Den {rolename} wählen'|trans({'{rolename}': role.label|trans({}, 'game')}, 'game') }},
                    </li>
                    {% endif %}
                {% endfor %}
                {% if has_watchtower %}<li x-ajax-href="{{ path('town_watchtower') }}" {% if has_estimated %} class="checked"{% endif %}>{{ 'An der Angriffsabschätzung teilnehmen'|trans({}, 'game') }},</li>{% endif %}
                {% if not town.devastated and has_levelable_building and not citizen.banished %}<li x-ajax-href="{{ path('town_upgrades') }}" {% if active_citizen.dailyUpgradeVote %} class="checked"{% endif %}>{{ 'Für ein Tagesprojekt abstimmen.'|trans({}, 'game') }},</li>{% endif %}
				{% if display_home_upgrade %}<li{% if has_upgraded_house %} class="checked"{% endif %} x-ajax-href="{{ path('town_house', {'tab': 'build' }) }}">{{ 'Mein Haus ausbauen'|trans({}, 'game') }},</li>{% endif %}
                {% if citizen.banished %}<li{% if not can_do_insurrection %} class="checked"{% endif %}>{{ 'Einen Aufstand der Verbannten vorbereiten (optional).'|trans({}, 'game') }},</li>{% endif %}
                <li{% if has_been_active %} class="checked"{% endif %}>{{ 'Auf der Baustelle arbeiten, in der Werkstatt arbeiten oder in die Außenwelt gehen (optional).'|trans({}, 'game') }}{% if additional_bullet_points|length > 0 %},{% else %}.{% endif %}</li>
                {% for message, checked in additional_bullet_points %}
                    <li {% if checked %}class="checked"{% endif %}>{{ message|trans({},'game') }}{% if loop.last %}.{% else %},{% endif %}</li>
                {% endfor %}
            </ul>

            {% if app.user.expert %}
                <h5>{{ 'Unsere Situation'|trans({}, 'game')}}</h5>
                <div class="padded cell rw-12">
                    <ul class="overview-list">
                        <li>{{ 'Stadttyp:'|trans({}, 'game') }} <strong>{{ town.type.label|trans({}, 'game') }}</strong></li>
                        <li>{{ 'Stadttor:'|trans({}, 'game') }} <strong class="{% if(town.door) %}warning{% endif %}">{% if(town.door and town.devastated) %} {{ 'ZERSTÖRT!!'|trans({}, 'game')}} {% elseif (town.door) %} {{ 'Offen!'|trans({}, 'game')}} {% else %} {{'Geschlossen'|trans({}, 'game')}} {% endif %}</strong></li>
                        <li>{{ 'Wasservorräte:'|trans({}, 'game') }} <strong>{{ town.well}}</strong> <img src="{{ asset('build/images/item/item_water.gif') }}" />{% if town.well < 15 %} <span class="warning">(<img src="{{ asset('build/images/icons/small_warning.gif') }}" alt="" /> {{ 'Gefahr'|trans({}, 'game') }})</span>{% endif %}</li>
                        <li>{{ 'Einwohner am Leben:'|trans({}, 'game') }} <strong>{{ living_citizens + town.strangers }}</strong> <img src="{{ asset('build/images/icons/small_human.gif') }}" /></li>
                        <li>{{ 'Geschätzter Angriff :'|trans({}, 'game') }} <strong>{% if (zeds_today[3] >= wtt) and zeds_today[0] %}{{ zeds_today[1] }} - {{ zeds_today[2] }}{% else %}{{ 'Unbekannt'|trans({}, 'game')}}{% endif %}</strong> <img src="{{ asset('build/images/icons/small_zombie.gif') }}" /></li>
                        {% for message, checked in additional_situation_points %}
                            <li>
                                {% if checked %}
                                    <strong class="warning">{{ message|trans({},'game') }}</strong>
                                {% else %}
                                    {{ message|trans({},'game') }}
                                {% endif %}
                            </li>
                        {% endfor %}
                    </ul>
                </div>
            {% endif %}

            <div class="padded cell rw-6 rw-md-8 rw-sm-12 actions-box">
                <button x-ajax-href="{{ url('game_newspaper') }}">{% trans from 'game' %}Lesen Sie das Mitteilungsblatt{% endtrans %}</button>
                {% if is_granted('ROLE_CROW') and app.environment == 'dev' %}
                    <button x-ajax-href="{{ path('admin_town_explorer', {id: town.id, tab: null}) }}"><img alt="" src="{{ asset('build/images/icons/small_admin.gif') }}">{{ 'Admin Dashboard'|trans({},'admin') }}</button>
                {% endif %}
            </div>


            {% if town.dayWithoutAttack > 0 and (app.user == town.creator or is_granted('ROLE_CROW')) and town.type.name == 'custom' %}
                <h5>{{ 'Deine Stadt'|trans({}, 'game') }}</h5>
                <ul class="overview-checklist">
                    {% if town.dayWithoutAttack > 0 %}
                        <li {% if town.password is null %}class="checked"{% endif %} id="open_town_btn">{{'Öffne deine private Stadt für alle'|trans({}, 'game')}}</li>
                    {% endif %}
                </ul>
            {% endif %}
        </div>
        {% if conf.get(constant('App\\Structures\\TownConf::CONF_FEATURE_WORDS_OF_HEROS'),false) and (town.wordsOfHeroes is not empty or can_edit_blackboard) %}
            <div class="padded cell rw-6 rw-lg-12">
                    <h5>{{ 'Heldentafel'|trans({}, 'game')}}</h5>
                    <div class="words-of-heroes {{ town.language }}">
                        <div class="content" id="words-of-heroes-content">
                            {% if town.wordsOfHeroes != '' %}
                            {{ town.wordsOfHeroes|nl2br }}
                            {% else %}
                                <em>
                                    {{'Die Wandtafel ermöglicht altgedienten Helden, der ganzen Stadt Anweisungen zu geben.'|trans({}, 'game')}}
                                </em>
                                {% if has_dictator %}
                                <em>
                                    {{'Diese Option steht dir ab sofort zur Verfügung, da du auf deiner Seelenseite den Diktatorbonus freigeschaltet hast.'|trans({}, 'game')}}
                                </em>
                                {% else %}
                                    {# Check if someone doesn't have this skill to get the message #}
                                {% endif %}
                                <em x-ajax-href="{{ path('soul_heroskill') }}" class="link">{{'Mehr darüber erfahren...'|trans({}, 'game')}}</em>
                            {% endif %}
                        </div>
                        {% if can_edit_blackboard %}
                            <div class="content hidden" id="words-of-heroes-editor">
                                <textarea>{{ town.wordsOfHeroes }}</textarea>
                            </div>
                            <div class="edit">
                                <a href="#" id="edit-wordsofheroes">{{'Bearbeiten'|trans({}, 'global')}}</a>
                                <a href="#" id="report-wordsofheroes" data-bbe="{{ bbe_id }}" title="{{ 'Unangemessenen Inhalt melden'|trans({},'global') }}"><img style="margin-left: 10px;" alt="!" src="{{ asset('build/images/forum/warning.png') }}"></a>
                            </div>
                            <div class="cancel hidden"><a href="#" id="saveedit-wordsofheroes">{{ 'Speichern'|trans({},'global') }}</a> - <a href="#" id="canceledit-wordsofheroes">{{'Abbrechen'|trans({}, 'global')}}</a></div>
                        {% elseif citizen.getBanished or not can_edit_blackboard %}
                            <div class="edit">
                                <span class="disabled">{{'Bearbeiten'|trans({}, 'global')}}<div class="tooltip help">{{ 'Nur altgediente Helden können auf die Wandtafel schreiben'|trans({},'game') }}</div></span>
                                <a href="#" id="report-wordsofheroes" data-bbe="{{ bbe_id }}" title="{{ 'Unangemessenen Inhalt melden'|trans({},'global') }}"><img style="margin-left: 10px;" alt="!" src="{{ asset('build/images/forum/warning.png') }}"></a>
                            </div>
                        {% endif %}
                    </div>
            </div>
        {% endif %}
    </div>

    {% if app.user.expert %}
        <div class="row">
        <h5>{{ 'Unsere Verteidigungen'|trans({}, 'game')}}</h5>
            {% if town.well < 15 %}
                <div class="note note-critical">{{ '<strong>Achtung:</strong> Befinden sich nicht genügend Rationen Wasser im Brunnen, arbeiten manche Konstruktionen (wie z.B. der Wasserturm) beim Angriff nicht mit voller Stärke!'|trans({}, 'game')|raw }}</div>
            {% endif %}
        <div class="padded cell rw-12 defense-detail">
            <ul class="overview-list">
                <li>{{'Grundbefestigungsmauer'|trans({}, 'game')}} : + {{def_summary.base_defense}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /></li>
                {% if def_summary.item_defense > 0 %}
                <li>{{'Verteidigungsgegenstände'|trans({}, 'game')}} : + {{def_summary.item_defense}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> ({{ item_def_count }} {{'Gegenstände'|trans({}, 'game')}} x {{ item_def_factor }} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> ) {{ help_btn(('<strong>Wichtig:</strong> Verteidigungsgegenstände können maximal <strong>500</strong> Verteidigungspunkte vergeben!'|trans({},'global')|raw)) }}</li>
                {% endif %}
                <li>{{'Konstruktionen'|trans({}, 'game')}} : {{def_summary.building_def_base + def_summary.building_def_vote }} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> {% if def_summary.building_def_vote > 0 %}( {{ def_summary.building_def_base }} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> + {{ def_summary.building_def_vote }} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> ){% endif %}</li>
                <li>{{'Häuser der Bürger'|trans({}, 'game')}} : + {{def_summary.house_defense}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /></li>
                {% if def_summary.guardian_defense > 0 %}
                <li>{{'Wächter'|trans({}, 'game')}} : + {{ def_summary.guardian_defense }} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> {{ help_btn(('Diesen Bonus gibt es nur dann, wenn sich die Wächter während eines Angriffs in der Stadt befinden.'|trans({},'global'))) }}</li>
                {% endif %}
                {% if def_summary.temp_defense > 0 %}
                <li>{{'Temporäre Verteidigung'|trans({}, 'game')}} : + {{def_summary.temp_defense}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /></li>
                {% endif %}
                {% if def_summary.cemetery > 0 %}
                <li>{{'Leichen-Bonus'|trans({}, 'game')}} : + {{def_summary.cemetery}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> <a class="help-button"><div class="tooltip help">{{ 'Diesen Bonus gibt es dank eurer alten Freunde und dem Gebäude <strong>Kleiner Friedhof</strong>.'|trans({},'global')|raw }}</div>{{ 'Hilfe'|trans({},'global')|raw }}</a> </li>
                {% endif %}
                {% if def_summary.overall_scale > 1 %}
                <li>{{'Bonus'|trans({}, 'game')}} : + {{ ((def_summary.overall_scale - 1) * 100)|round(2)}} % </li>
                {% endif %}
                {% if has_battlement and def_summary.nightwatch_defense > 0 %}
                <li>{{'Nachtwächter'|trans({}, 'game')}} : + {{def_summary.nightwatch_defense}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> <a class="help-button"><div class="tooltip help">{{ 'Diesen Bonus gibt es nur dann, wenn sich die Wächter wärhend eines Angriffs in det Stadt befinden.'|trans({},'global') }}</div>{{ 'Hilfe'|trans({},'global') }}</a></li>
                {% endif %}
                {% if def_summary.soul_defense > 0 %}
                <li>{{'Gereinigte Seelen'|trans({}, 'game')}} : + {{def_summary.soul_defense}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> <a class="help-button"><div class="tooltip help">{{ 'Diese Abwehrkräfte werden von gereinigten Seelen gebracht.'|trans({},'global') }}</div>{{ 'Hilfe'|trans({},'global') }}</a></li>
                {% endif %}

                <li class="separator">TOTAL : {{def}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /></li>
            </ul>

            <em>{{'Anmerkung: Verteidigungsgegenstände (Holzplatten etc...) müssen in der Bank abgelegt werden.'|trans({}, 'game')}}</em>
        </div>
    </div>

        <div class="row expert-mode">
            <div class="cell rw-12 small">
                <img src="{{ asset('build/images/icons/small_expert.gif') }}" alt="">
                <a href="#" x-toggle-expert-mode>{{ 'Zum Anfängermodus zurückkehren'|trans({}, 'game') }}</a>
                {{ '(Du bist gerade im <strong>Expertenmodus</strong>)'|trans({},'game')|raw }}
            </div>
        </div>
    {% endif %}
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        $.html.addEventListenerAll("#edit-wordsofheroes", "click", function(event){
            event.preventDefault();
            event.stopPropagation();
            document.getElementById("words-of-heroes-content").classList.add('hidden');
            document.getElementById("words-of-heroes-editor").classList.remove('hidden');
            document.getElementById("edit-wordsofheroes").parentNode.classList.add('hidden');
            document.getElementById("canceledit-wordsofheroes").parentNode.classList.remove('hidden');
        });

        $.html.addEventListenerAll("#canceledit-wordsofheroes", "click", function(event){
            event.preventDefault();
            event.stopPropagation();
            document.getElementById("words-of-heroes-content").classList.remove('hidden');
            document.getElementById("words-of-heroes-editor").classList.add('hidden');
            document.getElementById("edit-wordsofheroes").parentNode.classList.remove('hidden');
            document.getElementById("canceledit-wordsofheroes").parentNode.classList.add('hidden');
        });

        $.html.addEventListenerAll("#saveedit-wordsofheroes", "click", function(event){
            event.preventDefault();
            event.stopPropagation();
            var content = document.getElementById("words-of-heroes-editor").childNodes[1].value;
            $.ajax.easySend( '{{ path('town_dashboard_save_woh') }}', {content: content},
                function () {
                    $.ajax.load(null, '{{ path('town_dashboard') }}', true);
            } );
        });

        $.html.addEventListenerAll("#report-wordsofheroes", "click", function(event,element){
            event.preventDefault();
            event.stopPropagation();

            let form = $.html.createElement('<div class="modal-form" id="modal-form" />');
            form.append($.html.createElement( '<p class="small bold"></p>', '{{ 'Bist du sicher, dass du diesen Post an die Moderatoren melden willst?'|trans({},'global')|e('js') }}' ));

            let sec_p = $.html.createElement('<p class="small"/>', '{{ 'Wenn möglich gib bitte einen Grund für deine Meldung an:'|trans({},'global')|e('js') }}');
            sec_p.append( $.html.createElement('<div><label><input checked type="radio" name="report_reason" value="0" />' + '{{ 'Keinen Grund angeben'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="1" />' + '{{ 'Cheating'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="2" />' + '{{ 'Flooding oder Spam'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="3" />' + '{{ 'Verwendung einer anderen als der Stadtsprache'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="4" />' + '{{ 'Beleidigungen / Unangemessener Ausdruck'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="5" />' + '{{ 'Pornographie'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="6" />' + '{{ 'Hassrede'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="7" />' + '{{ 'Verbreitung persönlicher Informationen'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="8" />' + '{{ 'Verletzung von Copyright'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="9" />' + '{{ 'Aufruf zu Gesetzesverstößen'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="10" />' + '{{ 'Ermutigung von Selbstmord oder Selbstverletzung'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<p class="small"/>', '{{ 'Zusätzliche Informationen zu deiner Meldung (optional):'|trans({},'global')|e('js') }}') )
            sec_p.append( $.html.createElement('<div><textarea maxlength="255" style="min-height: 70px; max-height: 120px; height: 70px;" name="report_details"></textarea></div>') )

            form.append(sec_p)

            $.html.popup('{{ 'Unangemessenen Inhalt melden'|trans({},'global')|e('js') }}', form, null, [
                [ '{{ 'Inhalt melden'|trans({},'global')|e('js') }}',  [ ['click', (e_sub, elem_sub) => {
                    const reason = document.querySelector('[name="report_reason"]:checked') ? parseInt(document.querySelector('[name="report_reason"]:checked').value) : 0;
                    const detail = document.querySelector('[name="report_details"]') ? document.querySelector('[name="report_details"]').value : '';
                    $.html.triggerPopupPop(elem_sub);
                    $.ajax.easySend( '{{ url('town_dashboard_report_woh') }}', {bbe: parseInt( element.dataset.bbe), reason, details: detail }, () => $.ajax.load(null, '{{ path('town_dashboard') }}', true) );
                }] ] ],
                [ '{{ 'Abbrechen'|trans({},'global')|e('js') }}', [ ['click', (e_sub, elem_sub) => $.html.triggerPopupPop(elem_sub)] ] ]
            ] );

        });

        {% if town.password is not null and app.user == town.creator and town.dayWithoutAttack > 0 %}
        $.html.addEventListenerAll("#open_town_btn", "click", function(event){
            event.preventDefault();
            event.stopPropagation();
            if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                return;

            $.ajax.easySend( '{{ path('town_remove_password') }}', {},
                function () {
                    $.ajax.load(null, '{{ path('town_dashboard') }}', true);
            } );
        });
        {% endif %}
    </script>
{% endblock %}
